services:
    jobboard.godfathercandidateregistration.form.handler:
        class: AppVentus\JobBoardBundle\Form\Handler\GodfatherCandidateRegistrationFormHandler
        arguments: ["@jobboard.godfathercandidateregistration.form.type", "@request", "@fos_user.user_manager", "@jobboard.godfatherCandidateRegistration.mailer"]
        scope: request

        
    
    jobboard.godfathercandidateregistration.form.type:
        class: AppVentus\GodFatherJobBoardBundle\Form\CandidateType
        arguments: [AppVentus\JobBoardBundle\Entity\Candidate]
        tags:
            - { name: appventus_jobboardbundle_candidatetype, alias: godfather_candidate_registration_form }
        
    jobboard.menu_builder:
        class: AppVentus\JobBoardBundle\Menu\MenuBuilder
        arguments: ["@knp_menu.factory"]
    jobboard_main.menu.frontend:
        class: Knp\Menu\MenuItem # the service definition requires setting the class
        factory_service: jobboard.menu_builder
        factory_method: createFrontendMenu
        arguments: ["@request"]
        scope: request # needed as we have the request as a dependency here
        tags:
            - { name: knp_menu.menu, alias: frontend }
    
    jobboard_main.menu.backend:
        class: Knp\Menu\MenuItem # the service definition requires setting the class
        factory_service: jobboard.menu_builder
        factory_method: createBackendMenu
        arguments: ["@request"]
        scope: request
        tags:
            - { name: knp_menu.menu, alias: backend }
    
    jobboard_user.registration.form.type:
        class: AppVentus\JobBoardBundle\Form\Type\RegistrationFormType
        arguments: [%fos_user.model.user.class%]
        tags:
            - { name: form.type, alias: multirole_registration_form }
    jobboard_user.profile.form.type:
        class: AppVentus\MemberShipJobBoardBundle\Form\Type\ProfileUserFormType
        arguments: [%fos_user.model.user.class%]
        tags:
            - { name: form.type, alias: multirole_edit_profile }
    jobboard_user.form.handler.profile:
        class: AppVentus\MemberShipJobBoardBundle\Form\Handler\ProfileUserFormHandler
        arguments: ["@fos_user.profile.form", "@request", "@fos_user.user_manager"]
        scope: request
        public: false 
    jobboard_user.form.handler.registration:
        class: AppVentus\MemberShipJobBoardBundle\Form\Handler\RegistrationFormHandler
        arguments: ["@fos_user.registration.form", "@request", "@fos_user.user_manager", "@fos_user.mailer"]
        scope: request
        public: false 
    jobboard_user.custom_provider:
        class: AppVentus\JobBoardBundle\Security\Provider\CustomProvider
        public: false
        arguments: ["@fos_user.user_manager"]